Raritan PX2/PX3 JSON-RPC API

Public Member Functions | List of all members
test::RS232Serial Interface Reference

Test routines for full RS232 Serial Interface. More...

`import"testrpc.idl";`

## Public Member Functions
vector< string > | getDeviceFiles ()
| returns list of valid device files for the test
Result | testLoop1 (in string devfile)
| loop test with adapter 1 DTR->DSR, RTS->CTS
Result | testLoop2 (in string devfile)
| loop test with adapter 2 DTR->DCD, RTS->RI

## Detailed Description

Test routines for full RS232 Serial Interface.

The documentation for this interface was generated from the following file:

- pdu-json-rpc-api/idl/testrpc.idl